
h2. Common Elements

The __CommonElements__ model provides a central container for tags and classifiers. These elements are used in many sub models where references to __Tags__ or __Classifiers__ provide a mechanism to annotate objects.

!../pictures/model_common_elements.png!


h3(#common-tags). Tags

Tags are a generic possibility to annotate objects in the AMALTHEA model.

!../pictures/model_common_tag.png!


h3(#common-classifiers). Classifiers

Classifiers are used to define specific features or abilities of a core or a memory. They are used in the __PropertyConstraintsModel__ to restrict the allocation to cores or the memory mapping.

!../pictures/model_common_classifier.png!


h3(#common-namespaces). Namespaces

Some elements in the data model can refer to a __Namespace__. A namespace provides a prefix to the name of the element.

!../pictures/model_common_elements_namespace_member.png!
